%define name seahorse
%define version 0.7.1
%define release 1mdk

Name:		%{name}
Summary:	Seahorse is a GNOME2 frontend to GnuPG
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Requires:	gnupg, gpgme
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  libgnome2_0-devel
BuildRequires:  gnupg, gpgme-devel
Obsoletes:	seahorse2
Provides:	seahorse

%description
Seahorse is a GNOME2 frontend for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included. Both 
English and Japanese is support is provided. 
NOTE: NO CRYPTO STUFF IN THIS PACKAGE

%prep

%setup -q -n seahorse-%version

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name  <<EOF
?package(%name): command="%_bindir/seahorse" needs="X11" \
icon="seahorse.png" section="Applications/File tools" \
title="Seahorse" longtitle="GNOME2 frontend for GnuPG"
EOF

%{find_lang} seahorse --with-gnome
 
%post
%{update_menus}
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/seahorse.schemas > /dev/null

%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/gconf/schemas/seahorse.schemas
%{_bindir}/seahorse
%{_datadir}/applications/seahorse.desktop
%{_datadir}/omf/seahorse/seahorse-C.omf
%{_datadir}/gnome/help/seahorse/*
%{_datadir}/pixmaps/seahorse.png
%{_datadir}/seahorse/glade/*
%{_menudir}/*

%changelog
* Tue Mar 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- new version

* Mon Feb 10 2003 Matthias Debus <psic4t@netbands.de> 0.7.0-1mdk
- new version

* Sat Feb 01 2003 Matthias Debus <psic4t@netbands.de> 0.6.1-1mdk
- new version

* Fri Jan 24 2003 Matthias Debus <psic4t@netbands.de> 0.6.0-2mdk
- update name
- obsoletes seahorse2

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Wed Jan 15 2003 Matthias Debus <psic4t@netbands.de> 0.4.4-1mdk
- First release of seahorse2
- BuildRequires
- Obsoletes seahorse

* Sat Jan 26 2002 Frdric Crozat <fcrozat@mandrakesoft.com> 0.5.0-4mdk
- Clean specfile
- Add locales

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0-3mdk
- Fix menu entry
- Add missing files

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk  
- macros
- bm
- menu

* Mon Apr 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- fix group
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.6
- specfile changes for spec-helper

* Fri Feb 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- bzip manpages
